﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Configuration;
using System.Data.SqlClient;
using Infragistics.WebUI.UltraWebGrid;

namespace GridIE9
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!IsPostBack)
                buildDynamicColumns();
            bindDataToGrid();

        }
        protected void UltraWebGrid1_InitializeLayout(object sender, Infragistics.WebUI.UltraWebGrid.LayoutEventArgs e)
        {
            e.Layout.AllowColumnMovingDefault = Infragistics.WebUI.UltraWebGrid.AllowColumnMoving.OnClient;
        }

        protected void buildDynamicColumns()
        {
            DataSet ds = new DataSet();
            ds = FillDataSet();
            UltraGridColumn u;
            for (int i = 0; i < ds.Tables[0].Columns.Count; i++)
            {
                switch (ds.Tables[0].Columns[i].ToString())
                {
                    case "Country":

                        u = new UltraGridColumn();
                        u.Type = ColumnType.Custom;
                        u.Header.Caption = "Country";
                        u.CellStyle.VerticalAlign = VerticalAlign.Top;
                        u.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        u.Key = "Country";
                        u.Header.Key = "Country";
                        u.BaseColumnName = "Country";
                        u.DataType = "System.String";
                        u.Width = Unit.Pixel(100);
                        UltraWebGrid1.Bands[0].Columns.Add(u);
                        u = null;
                        break;
                    case "State":
                        u = new UltraGridColumn();
                        u.Type = ColumnType.Custom;
                        u.Header.Caption = " State";
                        u.CellStyle.VerticalAlign = VerticalAlign.Top;
                        u.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        u.Header.Key = "State";
                        u.Key = "State";
                        u.BaseColumnName = "State";
                        u.DataType = "System.String";
                        u.Width = Unit.Pixel(100);
                        UltraWebGrid1.Bands[0].Columns.Add(u);
                        u = null;
                        break;
                    case "City":
                        u = new UltraGridColumn();
                        u.Header.Caption = "City";
                        u.CellStyle.VerticalAlign = VerticalAlign.Top;
                        u.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        u.Key = "City";
                        u.BaseColumnName = "City";
                        u.DataType = "System.String";
                        u.Width = Unit.Pixel(100);
                        UltraWebGrid1.Bands[0].Columns.Add(u);
                        u = null;
                        break;
                            
                    default:
                        break;
                }
            }
                       
        }

        protected DataSet FillDataSet()
        {
            DataSet dsCity = new DataSet();
            DataTable dt = new DataTable();

            DataColumn dc = new DataColumn();
            dc.ColumnName = "Country";
            dt.Columns.Add(dc);

            DataColumn dc1 = new DataColumn();
            dc1.ColumnName = "State";
            dt.Columns.Add(dc1);

            DataColumn dc2 = new DataColumn();
            dc2.ColumnName = "City";
            dt.Columns.Add(dc2);

            dsCity.Tables.Add(dt);

            return dsCity;
        }

        protected DataRow createRowobj(DataSet dsCity,string country, string State, string City)
        {
            DataRow rowObj = dsCity.Tables[0].NewRow();
            rowObj["Country"] = country;
            rowObj["State"] = State;
            rowObj["City"] = City;

            return rowObj;
        }
        protected void bindDataToGrid()
        {

            DataSet dsCity = new DataSet();

            dsCity = FillDataSet();

            DataRow rowObj1 = createRowobj(dsCity, "India", "AP", "Hyderabad");
            DataRow rowObj2 = createRowobj(dsCity, "India", "AP", "Vizag");
            DataRow rowObj3 = createRowobj(dsCity, "India", "TN", "Chennai");
            DataRow rowObj4 = createRowobj(dsCity, "India", "Karnataka", "Bangalore");
            DataRow rowObj5 = createRowobj(dsCity, "India", "Maharastra", "Mumbai");
            DataRow rowObj6 = createRowobj(dsCity, "India", "J&K", "Srinagar");

            dsCity.Tables[0].Rows.Add(rowObj1);
            dsCity.Tables[0].Rows.Add(rowObj2);
            dsCity.Tables[0].Rows.Add(rowObj3);
            dsCity.Tables[0].Rows.Add(rowObj4);
            dsCity.Tables[0].Rows.Add(rowObj5);
            dsCity.Tables[0].Rows.Add(rowObj6);
            UltraWebGrid1.DataSource = dsCity;
            UltraWebGrid1.DataBind();
            
        }

     }
}
